Rolodex
/- Searches the directory
Gets all of the organization directories in the system.
Creates a new organization directory record that does not already exist.
Execute Batch Operations
Gets an entry in the directory
Searches the directory
Sends a message to an entry in the directory
Returns a organization directory from the system by its ID.
Returns a organization directory from the system by its ID.
Returns a organization directory from the system by its ID.
Partially updates a organization directory with the specified ID.
Updates a organization directory with the specified ID.
Searches the directory
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizationDirectories/{tenantId}/search/{id}
- https://rolodex.api.rhythmsoftware.comhttps://rolodex.api.rhythmsoftware.com/organizationDirectories/{tenantId}/search/{id}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizationDirectories/{tenantId}/search/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"criteria": {},
"page": 0.1,
"radius_search": {
"postal_code": "string",
"radius": 1
}
}'Response
{ "fields": [ { … } ], "query": {}, "rows": [ {} ], "sql": "string", "target_service": "string", "totalNumberOfRows": 0.1 }